# Function deepSearchAndTransformAsync

- deepSearchAndTransformAsync<T>(propName, object, transformer, ignoreTransformedValues?): Promise<boolean>

- Traverses the entirety of an object, searching for property names that match the provided propName and transforming their values with the provided callback. Returns true if a property is found and transformed.

  #### Type Parameters

  - T extends object = object

  #### Parameters

  - propName: string | RegExp

    The string or RegExp that is used to match property names throughout the given object.

  - object: T

    The object that will be searched within.

  - transformer: ((prop: unknown) => Promise<unknown>)

    The callback used to alter the values of found properties. The transformer will receive the current value of the property and should return the new value.

    - - (prop): Promise<unknown>

      - #### Parameters

        - prop: unknown

        #### Returns Promise<unknown>

  - ignoreTransformedValues: boolean = true

    Do not deep search and transform values created by the transformer. Defaults to true.

  #### Returns Promise<boolean>